namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Components.Auth;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Economy;
    using Eco.Gameplay.Housing;
    using Eco.Gameplay.Interactions;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Minimap;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Property;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Gameplay.Pipes.LiquidComponents;
    using Eco.Gameplay.Pipes.Gases;
    using Eco.Gameplay.Systems.Tooltip;
    using Eco.Shared;
    using Eco.Shared.Math;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Items;
    using Eco.Gameplay.Pipes;
    using Eco.World.Blocks;
    
	// 1 times
    public class DecompressedDirtRecipe : Recipe
    {
        public DecompressedDirtRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DirtItem>(2),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<CompressedDirtItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.1f); 
            this.Initialize("Decompressed Dirt (1x)", typeof(DecompressedDirtRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	// 2 times
	public class DoubleDecompressedDirtRecipe : Recipe
    {
        public DoubleDecompressedDirtRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DirtItem>(4),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<DoubleCompressedDirtItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.2f); 
            this.Initialize("Decompressed Dirt (2x)", typeof(DoubleDecompressedDirtRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	//3 times	
	public class TripleDecompressedDirtRecipe : Recipe
    {
        public TripleDecompressedDirtRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DirtItem>(8),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<TripleCompressedDirtItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.4f); 
            this.Initialize("Decompressed Dirt (3x)", typeof(TripleDecompressedDirtRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	//4 times
	public class QuadrupleDecompressedDirtRecipe : Recipe
    {
        public QuadrupleDecompressedDirtRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DirtItem>(16),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<QuadrupleCompressedDirtItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.8f); 
            this.Initialize("Decompressed Dirt (4x)", typeof(QuadrupleDecompressedDirtRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
		
	//5 times
	public class QuintupleDecompressedDirtRecipe : Recipe
    {
        public QuintupleDecompressedDirtRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DirtItem>(32),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<QuintupleCompressedDirtItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(1.6f); 
            this.Initialize("Decompressed Dirt (5x)", typeof(QuintupleDecompressedDirtRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	// 6 times
	public class SextupleDecompressedDirtRecipe : Recipe
    {
        public SextupleDecompressedDirtRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DirtItem>(64),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<SextupleCompressedDirtItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(3.2f); 
            this.Initialize("Decompressed Dirt (6x)", typeof(SextupleDecompressedDirtRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	public class SeptupleDecompressedDirtRecipe : Recipe
    {
        public SeptupleDecompressedDirtRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DirtItem>(128),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<SeptupleCompressedDirtItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(6.4f); 
            this.Initialize("Decompressed Dirt (7x)", typeof(SeptupleDecompressedDirtRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	public class OctupleDecompressedDirtRecipe : Recipe
    {
        public OctupleDecompressedDirtRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DirtItem>(256),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<OctupleCompressedDirtItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(12.8f); 
            this.Initialize("Decompressed Dirt (8x)", typeof(OctupleDecompressedDirtRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }

}