namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Components.Auth;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Economy;
    using Eco.Gameplay.Housing;
    using Eco.Gameplay.Interactions;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Minimap;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Property;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Gameplay.Pipes.LiquidComponents;
    using Eco.Gameplay.Pipes.Gases;
    using Eco.Gameplay.Systems.Tooltip;
    using Eco.Shared;
    using Eco.Shared.Math;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Items;
    using Eco.Gameplay.Pipes;
    using Eco.World.Blocks;
    
	// 1 times
    public class DecompressedSandRecipe : Recipe
    {
        public DecompressedSandRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SandItem>(2),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<CompressedSandItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.1f); 
            this.Initialize("Decompressed Sand (1x)", typeof(DecompressedSandRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	// 2 times
	public class DoubleDecompressedSandRecipe : Recipe
    {
        public DoubleDecompressedSandRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SandItem>(4),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<DoubleCompressedSandItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.2f); 
            this.Initialize("Decompressed Sand (2x)", typeof(DoubleDecompressedSandRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	//3 times	
	public class TripleDecompressedSandRecipe : Recipe
    {
        public TripleDecompressedSandRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SandItem>(8),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<TripleCompressedSandItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.4f); 
            this.Initialize("Decompressed Sand (3x)", typeof(TripleDecompressedSandRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	//4 times
	public class QuadrupleDecompressedSandRecipe : Recipe
    {
        public QuadrupleDecompressedSandRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SandItem>(16),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<QuadrupleCompressedSandItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.8f); 
            this.Initialize("Decompressed Sand (4x)", typeof(QuadrupleDecompressedSandRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
		
	//5 times
	public class QuintupleDecompressedSandRecipe : Recipe
    {
        public QuintupleDecompressedSandRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SandItem>(32),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<QuintupleCompressedSandItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(1.6f); 
            this.Initialize("Decompressed Sand (5x)", typeof(QuintupleDecompressedSandRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	// 6 times
	public class SextupleDecompressedSandRecipe : Recipe
    {
        public SextupleDecompressedSandRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SandItem>(64),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<SextupleCompressedSandItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(3.2f); 
            this.Initialize("Decompressed Sand (6x)", typeof(SextupleDecompressedSandRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	public class SeptupleDecompressedSandRecipe : Recipe
    {
        public SeptupleDecompressedSandRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SandItem>(128),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<SeptupleCompressedSandItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(6.4f); 
            this.Initialize("Decompressed Sand (7x)", typeof(SeptupleDecompressedSandRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	public class OctupleDecompressedSandRecipe : Recipe
    {
        public OctupleDecompressedSandRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SandItem>(256),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<OctupleCompressedSandItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(12.8f); 
            this.Initialize("Decompressed Sand (8x)", typeof(OctupleDecompressedSandRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }

}