namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Components.Auth;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Economy;
    using Eco.Gameplay.Housing;
    using Eco.Gameplay.Interactions;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Minimap;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Property;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Gameplay.Pipes.LiquidComponents;
    using Eco.Gameplay.Pipes.Gases;
    using Eco.Gameplay.Systems.Tooltip;
    using Eco.Shared;
    using Eco.Shared.Math;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Items;
    using Eco.Gameplay.Pipes;
    using Eco.World.Blocks;
    
	// 1 times
    public class DecompressedStoneRecipe : Recipe
    {
        public DecompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<StoneItem>(2),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<CompressedStoneItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.1f); 
            this.Initialize("Decompressed Stone (1x)", typeof(DecompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	// 2 times
	public class DoubleDecompressedStoneRecipe : Recipe
    {
        public DoubleDecompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<StoneItem>(4),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<DoubleCompressedStoneItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.2f); 
            this.Initialize("Decompressed Stone (2x)", typeof(DoubleDecompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	//3 times	
	public class TripleDecompressedStoneRecipe : Recipe
    {
        public TripleDecompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<StoneItem>(8),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<TripleCompressedStoneItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.4f); 
            this.Initialize("Decompressed Stone (3x)", typeof(TripleDecompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	//4 times
	public class QuadrupleDecompressedStoneRecipe : Recipe
    {
        public QuadrupleDecompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<StoneItem>(16),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<QuadrupleCompressedStoneItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(0.8f); 
            this.Initialize("Decompressed Stone (4x)", typeof(QuadrupleDecompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
		
	//5 times
	public class QuintupleDecompressedStoneRecipe : Recipe
    {
        public QuintupleDecompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<StoneItem>(32),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<QuintupleCompressedStoneItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(1.6f); 
            this.Initialize("Decompressed Stone (5x)", typeof(QuintupleDecompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	// 6 times
	public class SextupleDecompressedStoneRecipe : Recipe
    {
        public SextupleDecompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<StoneItem>(64),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<SextupleCompressedStoneItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(3.2f); 
            this.Initialize("Decompressed Stone (6x)", typeof(SextupleDecompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	public class SeptupleDecompressedStoneRecipe : Recipe
    {
        public SeptupleDecompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<StoneItem>(128),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<SeptupleCompressedStoneItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(6.4f); 
            this.Initialize("Decompressed Stone (7x)", typeof(SeptupleDecompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
	
	public class OctupleDecompressedStoneRecipe : Recipe
    {
        public OctupleDecompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<StoneItem>(256),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<OctupleCompressedStoneItem>(),
            };
			
            this.CraftMinutes = new ConstantValue(12.8f); 
            this.Initialize("Decompressed Stone (8x)", typeof(OctupleDecompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }

}