namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Components.Auth;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Economy;
    using Eco.Gameplay.Housing;
    using Eco.Gameplay.Interactions;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Minimap;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Property;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Gameplay.Pipes.LiquidComponents;
    using Eco.Gameplay.Pipes.Gases;
    using Eco.Gameplay.Systems.Tooltip;
    using Eco.Shared;
    using Eco.Shared.Math;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Items;
    using Eco.Gameplay.Pipes;
    using Eco.World.Blocks;
    

    [Serialized]
	[MaxStackSize(20)]
	[Weight(200)]
	[Carried]
    public class DoubleCompressedStoneItem : Item
    {
        public override string FriendlyName { get { return "Double Compressed Stone"; } } 
        public override string Description  { get { return  "A two time compressed stone."; } }

        static DoubleCompressedStoneItem()
        {
            
        }

    }

    public class DoubleCompressedStoneRecipe : Recipe
    {
        public DoubleCompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<DoubleCompressedStoneItem>(),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<CompressedStoneItem>(2),
            };
			
            this.CraftMinutes = new ConstantValue(0.2f); 
            this.Initialize("Compressed Stone (2x)", typeof(DoubleCompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
}