namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Components.Auth;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Economy;
    using Eco.Gameplay.Housing;
    using Eco.Gameplay.Interactions;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Minimap;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Property;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Gameplay.Pipes.LiquidComponents;
    using Eco.Gameplay.Pipes.Gases;
    using Eco.Gameplay.Systems.Tooltip;
    using Eco.Shared;
    using Eco.Shared.Math;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Items;
    using Eco.Gameplay.Pipes;
    using Eco.World.Blocks;
    

    [Serialized]
	[MaxStackSize(20)]
	[Weight(200)]
	[Carried]
    public class QuintupleCompressedStoneItem : Item
    {
        public override string FriendlyName { get { return "Quintuple Compressed Stone"; } } 
        public override string Description  { get { return  "A five time compressed stone."; } }

        static QuintupleCompressedStoneItem()
        {
            
        }

    }

    public class QuintupleCompressedStoneRecipe : Recipe
    {
        public QuintupleCompressedStoneRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<QuintupleCompressedStoneItem>(),
            };

            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<QuadrupleCompressedStoneItem>(2),
            };
			
            this.CraftMinutes = new ConstantValue(1.6f); 
            this.Initialize("Compressed Stone (5x)", typeof(QuintupleCompressedStoneRecipe));
            CraftingComponent.AddRecipe(typeof(HydraulicPressObject), this);
        }
    }
}